<?php
//автор - figura
//сайт - http://f-pt.ru

include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../sistem/functions_uzer.dat");
include("../temes/$teme/verh.dat");


if(empty($act)){$act="index";}
if($act == "index")
{
   echo'<div class="razd"><B>Статистика сайта</B></div>';
   echo'<div class="ramk">';
   echo'Зарегистрированно ('; include("../sistem/kol_uzer.dat");  echo')<br>';
   $arrrr_uzer= file("$koren_dir/data/statstik/uzer.dat");
   $count_uzer=count($arrrr_uzer) - 1;
   echo'Пследний <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$arrrr_uzer[$count_uzer].'&amp;'.SID.'"><B>'.$arrrr_uzer[$count_uzer].'</B></a><br>';
   
   $stats_site = file($koren_dir.'/data/statstik/stats_site.dat');
   $stats_site=explode("<||>",$stats_site[0]);
   $host=$stats_site[1];
   $hit=$stats_site[2];
   $v_host=$stats_site[3];
   $v_hit=$stats_site[4];
   
   echo'Хостов сегодня - <B>'.$host.'</B><br>';
   echo'Хитов сегодня - <B>'.$hit.'</B><br>';
   echo'Хостов вчера - <B>'.$v_host.'</B><br>';
   echo'Хитов вчера - <B>'.$v_hit.'</B><br>';
   echo'</div>';
   
   echo'<div class="link"><a href="stats.php?act=spisok&amp;'.SID.'">Список пользователей</a></div>';
   echo'<div class="link"><a href="stats.php?act=online&amp;'.SID.'">Список пользователей OnLine</a></div>';
   echo'<div class="link"><a href="stats.php?act=referer&amp;'.SID.'">Кто откуда пришёл</a></div>';
   echo'<div class="link"><a href="top_uzer.php?'.SID.'">Рейтинг пользователей</a></div>';
}



if($act == "online")
{
   echo'<div class="razd"><B>Кто Online</B></div>';
   
   $str = file("../data/statstik/avt_online.dat");
   $nom = count($str);
   //============================================//
   $i = "0";
   $var = $nom;
   while($i < $var)
   {
      if($i < $nom)
      {
         //показываем юзеров
         $param_online=explode("<||>",$str[$i]);
         
         echo'<div class="link"><a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$param_online[0].'&amp;'.SID.'"><B>'.$param_online[0].'</B></a> '.postov($param_online[0]).'</div>';
      }
      ++$i;
   }
   //============================================//
   echo'Всего зарегистрированных OnLine <B>'.count($str).'</B><br>';
   
   echo'<a href="stats.php?act=gonline&amp;'.SID.'">По браузерам OnLine</a><br>';
   echo'<a href="stats.php?act=index&amp;'.SID.'">К статистике</a><br>';
}


if($act == "gonline")
{
   echo'<div class="razd"><B>Кто Online</B></div>';
   
   $str = file("../data/statstik/online.dat");
   $nom = count($str);
   //============================================//
   $i = "0";
   $var = $nom;
   while($i < $var)
   {
      if($i < $nom)
      {
         //показываем юзеров
         $param_online=explode("<||>",$str[$i]);
         
         $param_online=explode("/",$param_online[0]);
         echo'<div class="link"><B>'.$param_online[0].'</B></div>';
      }
      ++$i;
   }
   //============================================//
   echo'Всего OnLine <B>'.count($str).'</B><br>';
   
   echo'<a href="stats.php?act=index&amp;'.SID.'">К статистике</a><br>';
}


if($act == "spisok")
{
   echo'<div class="razd"><B>Список юзеров</B></div>';
   
   $str = file("../data/statstik/uzer.dat");
   $str = array_reverse($str);//перевернули масив
   $nom = count($str);
   
   $nav_spisok_reg = "30";
   
   //начало новой навигации
   if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
   if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
   $asd = $nom_page - 1;
   $i= $asd * $nav_spisok_reg;
   $var = $i+$nav_spisok_reg;
   if($nom < $i){ $i = 0; $var = $i+$nav_spisok_reg; $nom_page = "1";}
   
   while($i < $var)
   {
      if($i < $nom)
      {
         //показываем юзеров
         $str[$i] = trim($str[$i]);
         
         $n = $i + 1;
         echo'<div class="link">'.$n.'. <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$str[$i].'&amp;'.SID.'"><B>'.$str[$i].'</B></a> '.postov($str[$i]).''.online($str[$i]).'</div>';
      }
      ++$i;
   }
   
   //конец новой навигации
   $kol_page = ceil($nom / $nav_spisok_reg); 
   
   
   //навигация вперёд, назад
   if("1" < $nom_page)
   {
      $nom_previous_page = $nom_page - 1;
      echo '<a href="stats.php?act=spisok&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
   }else{ echo 'Назад'; }
   echo'|';
   if($kol_page > $nom_page)
   {
      $nom_next_page = $nom_page + 1;
      echo '<a href="stats.php?act=spisok&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
   }else{ echo 'Далее'; }
   
   //============================================//
   echo'<br>Всего Регистраций <B>'.$nom.'</B><br>';
   
   echo'<a href="stats.php?act=index">К статистике</a><br>';
}



if($act == "referer")
{
   if($status=="uzer" || $status=="moder" || $status=="admin")
   {
   	  echo'<div class="razd">Кто откуда пришёл</div>';
      $str = file("../data/statstik/referer_dat.dat");
      $str = array_reverse($str);//перевернули масив
      $nom = count($str);
      
      $nav_referer = "10";
      
      //начало новой навигации
      if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
      if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
      $asd = $nom_page - 1;
      $i= $asd * $nav_referer;
      $var = $i+$nav_referer;
      if($nom < $i){ $i = 0; $var = $i+$nav_referer; $nom_page = "1";}
      
      while($i < $var)
      {
         if($i < $nom)
         {
            $znach=explode("<||>",$str[$i]);
            echo'<div class="ramk">';
            echo'<div class="sob">'.$znach[1].' -';
            $ref_inf = explode("/",$znach[0]);
            echo'<a href="http://'.$ref_inf[2].'">http://'.$ref_inf[2].'</a></div>';
            echo'Дата - '.$znach[2].'<br>';
            echo'</div>';
         }
         ++$i;
      }
      
      //конец новой навигации
      $kol_page = ceil($nom / $nav_referer);
      
      
      //навигация вперёд, назад
      if("1" < $nom_page)
      {
         $nom_previous_page = $nom_page - 1;
         echo '<a href="stats.php?act=referer&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
      }else{ echo 'Назад'; }
      echo'|';
      if($kol_page > $nom_page)
      {
         $nom_next_page = $nom_page + 1;
         echo '<a href="stats.php?act=referer&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
      }else{ echo 'Далее'; }
      
      echo'<br>Всего записей <B>'.$nom.'</B><br>';
      
   }else{ echo'Данная информация доступна только Авторизированным пользователям<br>';  }
   echo'<a href="stats.php?act=index&amp;'.SID.'">К статистике</a><br>';
}

echo'<hr size="2" width="100%">';
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>